/**
 *  Copyright © 2026, Luis Andrés Lange <https://javacomm.net>
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.transfer;

import com.google.gson.Gson;



public class TransferTelefon {

  private String telefonMikrofon;
  private String telefonLautsprecher;
  private Sprachguete voiceQuality;

  public String getTelefonLautsprecher() {
    return telefonLautsprecher;
  }



  public String getTelefonMikrofon() {
    return telefonMikrofon;
  }



  public Sprachguete getVoiceQuality() {
    return voiceQuality;
  }



  public void setTelefonLautsprecher(String telefonLautsprecher) {
    this.telefonLautsprecher = telefonLautsprecher;
  }



  public void setTelefonMikrofon(String telefonMikrofon) {
    this.telefonMikrofon = telefonMikrofon;
  }



  public void setVoiceQuality(Sprachguete voiceQuality) {
    this.voiceQuality = voiceQuality;
  }



  public String toString() {
    Gson gson = new Gson();
    return gson.toJson(this);
  }
}
